TestLongStringParser (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.stringparsers.TestLongStringParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap.stringparsers
Class TestLongStringParser

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.martiansoftware.jsap.stringparsers.TestLongStringParser

All Implemented Interfaces:
  junit.framework.Test

    public class TestLongStringParser

extends junit.framework.TestCase

A series of tests for the LongStringParser

Author:
  Marty Lamb
See Also:
  `ColorStringParser`

Constructor Summary
`TestLongStringParser(String arg0)` Constructor for TestLongStringParser.

Method Summary
`void` | `testBasicParse()` Tests the ability to parse tuples of integers representing RGB values.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestLongStringParser

    public TestLongStringParser(String arg0)

  Constructor for TestLongStringParser.

  Parameters:
    `arg0` - name of this test

Method Detail

### testBasicParse

    public void testBasicParse()

  Tests the ability to parse tuples of integers representing RGB values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap